#include <bits/stdc++.h>

using namespace std;

int main() {
  int n;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++) {
    cin >> a[i];
  }
  long long ans = 0;
  for (int i = 0; i < n; i++) {
    for (int j = i + 1; j < n; j++) {
      for (int k = j + 1; k < n; k++) {
        if (a[i] % a[j] == 0 && a[j] % a[k] == 0) {
          ans++;
//          cerr << a[i] << ' ' << a[j] << ' ' << a[k] << '\n';
        }
      }
    }
  }
  cout << ans << '\n';
}
